summary refs log tree commit diff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 00000000..8b9df7c8
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -eu
+
+common=gdb git gnupg htop the_silver_searcher tmux tree
+
+macos() {
+  homebrew=https://raw.githubusercontent.com/Homebrew/install/master/install
+  xcode-select --install || true
+  [ ! -f /usr/local/bin/brew ] && ruby -e "`curl -fsSL $homebrew`"
+  brew install $common
+  brew install neovim/neovim/neovim openssh
+  brew cask install iterm2
+}
+
+freebsd() {
+  pkg install $common
+  pkg install curl neovim sudo zsh
+}
+
+arch() {
+  pacman -Sy --needed base-devel
+  pacman -Sy --needed $common
+  pacman -Sy --needed neovim openssh zsh
+}
+
+[ "`uname`" = 'Darwin' ] && exec macos
+[ -f /usr/local/sbin/pkg ] && exec freebsd
+[ -f /usr/bin/pacman ] && exec arch